> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Migrate Datasource to Amplifier Integration

> Migrates a candidate Federated datasource to the provided Cloud Amplifier integration. NOTE: Domo content powered by the datasource will be unavailable and/or non-functional while the migration is ongoing.



## OpenAPI

````yaml /openapi/product/federatedv2.yaml post /api/query/migration/federated/to/amplifier/{datasource-id}/integrations/{integration-id}
openapi: 3.0.0
info:
  title: Federated V2 to Amplifier Migration APIs
  version: 1.0.0
  description: >-
    These APIs leverage a Domo access token that you can generate in the admin
    panel from within your Domo instance. Instructions on generating your access
    token can be found here.
servers:
  - url: https://{instance}.domo.com
    description: Domo instance domain
    variables:
      instance:
        default: your-instance.domo.com
        description: >-
          The fully qualified domain of the Domo instance housing the Cloud
          Amplifier Integrations.
security:
  - DeveloperToken: []
tags:
  - name: Cloud Amplifier Integration
    description: Operations for managing Cloud Amplifier integrations
  - name: Migration
    description: Operations for migrating datasources between Federated and Cloud Amplifier
paths:
  /api/query/migration/federated/to/amplifier/{datasource-id}/integrations/{integration-id}:
    post:
      tags:
        - Migration
      summary: Migrate Datasource to Amplifier Integration
      description: >-
        Migrates a candidate Federated datasource to the provided Cloud
        Amplifier integration. NOTE: Domo content powered by the datasource will
        be unavailable and/or non-functional while the migration is ongoing.
      operationId: migrateDatasourceToAmplifier
      parameters:
        - name: datasource-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique ID of the federated datasource to migrate.
        - name: integration-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: >-
            The unique ID of the Cloud Amplifier integration that the federated
            datasource should be migrated to.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MigrationResult'
              example:
                toe: UCIIAGMUEF-G4XS4-9G8UP
                datasourceId: 8c487fef-b62d-486f-af7a-90c7d6ee0347
                direction: FEDERATED_TO_CLOUD_AMPLIFIER
                startTime: '2024-03-26T14:55:40.496+00:00'
                state: COMPLETE
                endTime: '2024-03-26T14:55:48.476+00:00'
      x-codeSamples:
        - lang: curl
          source: >-
            curl
            'https://{domo-domain}/api/query/migration/federated/to/amplifier/{datasource-id}/integrations/{integration-id}'
            \
              -X POST \
              -H 'content-type: application/json' \
              -H 'accept: application/json,*/*;q=0.8' \
              -H 'accept-language: en-US,en;q=0.9' \
              -H 'cache-control: max-age=0' \
              -H 'X-DOMO-Developer-Token: {developer-token}'
components:
  schemas:
    MigrationResult:
      type: object
      properties:
        toe:
          type: string
          description: >-
            Unique request identifier. Used by Domo support to retrieve
            additional information for failed migration attempts.
        datasourceId:
          type: string
          format: uuid
          description: Unique identifier of the datasource the migration occurred for.
        direction:
          type: string
          enum:
            - FEDERATED_TO_CLOUD_AMPLIFIER
            - CLOUD_AMPLIFIER_TO_FEDERATED
          description: Direction of the migration.
        startTime:
          type: string
          format: date-time
          description: Timestamp indicating the start time of the migration.
        state:
          type: string
          enum:
            - COMPLETE
            - INCOMPLETE
            - ABORTED
          description: >-
            Final state of the migration, one of [ "COMPLETE", "INCOMPLETE",
            "ABORTED" ].

            COMPLETE: Migration has completed successfully.

            INCOMPLETE: Migration failed after some changes to the datasource
            were made. Domo content powered by the datasource may remain
            unavailable and/or non-functional until the migration is
            re-attempted and completes successfully. More information can be
            found in the 'errorMessage' property.

            ABORTED: Migration was aborted prior to any changes being made to
            the datasource. More information can be found in the 'errorMessage'
            property.
        errorMessage:
          type: string
          nullable: true
          description: >-
            Message populated with additional details when a migration fails to
            complete normally or is aborted prior to starting.
        endTime:
          type: string
          format: date-time
          description: Timestamp indicating the end time of the migration.
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo access token generated from the admin panel

````